# Get Cookie Inventory page list for specified audit run

POST /v3/web-audits/{auditId}/runs/{runId}/reports/cookie-inventory/pages

Endpoint: POST /v3/web-audits/{auditId}/runs/{runId}/reports/cookie-inventory/pages
Security: API_Key

## Security:

  - `API_Key` (unknown)
    apiKey in header Authorization

## Path parameters:

  - `auditId` (integer, required)
    Unique identification number for web audit

  - `runId` (integer, required)
    Unique identification number for web audit or journey run

## Query parameters:

  - `page` (integer)
    Page number, starts with 0

  - `size` (integer)

  - `sortBy` (string)

  - `sortDesc` (boolean)
    Controls sorting order

## Request body:

  - `application/json` (unknown)
    Filters applicable to Cookie Inventory report

## Request fields (application/json):

  - `pageUrl` (object)

  - `pageUrl.filterType` (string, required)
    Enum: "contains", "regex"

  - `pageUrl.filterValue` (string, required)

  - `pageUrl.negated` (boolean)
    Switches from "contains" to "not contains", and from "matches regex" to "does not match regex". Supported only by Page Summary for now

  - `pageTitle` (object)

  - `pageTitle.filterType` (string, required)
    Enum: "contains", "not_contains"

  - `pageTitle.filterValue` (string, required)
    Page title as displayed by browser
    Example: ObserveP

  - `initialPageStatusCode` (object)

  - `initialPageStatusCode.filterType` (string, required)
    Enum: "specific", "range"

  - `initialPageStatusCode.negated` (boolean, required)
    Switches from `==` to `!=`, and from `between [minInclusive, maxExclusive)` to `NOT between [minInclusive, maxExclusive)`

  - `initialPageStatusCode.filterValue` (integer, required)

  - `initialPageStatusCode.minInclusive` (integer, required)

  - `initialPageStatusCode.maxExclusive` (integer, required)

  - `combinedPageStatusCode` (string)
    - `broken` - initial or final URL are `broken`,
- `good` - initial URL is `good` or `redirect` and final URL is `good`
    Enum: "broken", "good"

  - `pageLoadTime` (object)
    Page load time in milliseconds. Should have `min` and/or `max` properties defined. `min` is inclusive and `max` is exclusive. `min` should be less than `max`.

  - `pageLoadTime.min` (integer)

  - `pageLoadTime.max` (integer)

  - `pageSize` (object)
    Page size in bytes. Should have `min` and/or `max` properties defined. `min` is inclusive and `max` is exclusive. `min` should be less than `max`.

  - `pageSize.min` (integer)

  - `pageSize.max` (integer)

  - `redirectCount` (object)
    Number of redirects for a page. Should have `min` and/or `max` properties defined. `min` is inclusive and `max` is exclusive. `min` should be less than `max`.

  - `hasBrokenLinks` (boolean)

  - `cookieOriginInclusion` (string)
    - `exclude_pre_audit_action_only_cookies` - exclude cookies which were only changed during pre-audit actions
    Enum: "exclude_pre_audit_action_only_cookies"

  - `cookieName` (object)

  - `cookieName.filterValue` (string, required)

  - `partyType` (string)
    Indicates if cookie domain is different from domain of a page it was set on.
`owned_3rd_party` is deprecated
    Enum: "1st_party", "owned_3rd_party", "3rd_party"

  - `secure` (boolean)

  - `sameSite` (string)
    Enum: "None", "Lax", "Strict", "Empty"

  - `cookieSize` (object)
    Cookie size in bytes. Should have `min` and/or `max` properties defined. `min` is inclusive and `max` is exclusive

  - `allThirdPartyCookies` (boolean)
    Conflicts with `partyType`, but has higher priority

  - `httpOnly` (boolean)

  - `expirationType` (string)
    Enum: "session", "timestamp"

  - `cookieDuration` (object)
    Cookie duration in minutes. Should have `min` and/or `max` properties defined. `min` is inclusive and `max` is exclusive. Ignored when expirationType == "session"

  - `anyRelatedTag` (boolean)
    Show all cookies with any related tag

  - `tagId` (integer)
    Tag ID

  - `tagCategoryId` (integer)
    Tag category ID

  - `tagVendorId` (integer)
    Tag vendor ID

  - `partitionKeyIsSet` (boolean)

## Response 200:

  - `200` (unknown)
    Cookie Inventory pages data

## Response 200 fields (application/json):

  - `metadata` (object, required)
    Common metadata for iterable

  - `metadata.pagination` (object, required)

  - `metadata.pagination.totalCount` (integer, required)
    Total number of items available from all result pages combined

  - `metadata.pagination.totalPageCount` (integer, required)
    Total number of pages available

  - `metadata.pagination.pageSize` (integer, required)
    Page size - number of items per result page configured by `size` query parameter or default page size

  - `metadata.pagination.currentPageSize` (integer, required)
    Number of items in current result page

  - `metadata.pagination.currentPageNumber` (integer, required)
    Current page number/ordinal

  - `pages` (array, required)

  - `pages.cookieCount` (integer, required)
    Number of cookies on a page

  - `pages.totalCookieSize` (integer, required)
    Cookie value size, in bytes. May not be available for old runs

## Response 400:

  - `400` (unknown)
    The request cannot be accepted

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401:

  - `401` (unknown)
    Your token is invalid.

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 404:

  - `404` (unknown)
    The object you are looking is not found

## Response 404 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

